Update beneficial owner
Updates a beneficial owner’s information to retry verification when their status is “incomplete”. Only beneficial owners with incomplete verification status can be updated. Used to correct information that caused initial verification to fail.
POST https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"firstName": "beneficial",
"lastName": "owner",
"ssn": "123-54-6789",
"dateOfBirth": "1963-11-11",
"address": {
"address1": "123 Main St.",
"address2": "Apt 123",
"city": "Des Moines",
"stateProvinceRegion": "IA",
"country": "US",
"postalCode": "50309"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
var requestBody = {
firstName: 'beneficial',
lastName: 'owner',
dateOfBirth: '1963-11-11',
ssn: '123-54-6789',
address: {
address1: '123 Main St',
city: 'Des Moines',
stateProvinceRegion: 'IA',
country: 'US',
postalCode: '50309'
}
};
dwolla
.post(beneficialOwnerUrl, requestBody)
.then(res => res.body.id); // => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
'firstName': 'beneficial',
'lastName': 'owner',
'dateOfBirth': '1963-11-11',
'ssn': '123-54-6789',
'address': {
'address1': '123 Main St',
'city': 'Des Moines',
'stateProvinceRegion': 'IA',
'country': 'US',
'postalCode': '50309'
}
}
update_beneficial_owner = app_token.post(beneficial_owner_url, request_body)
update_beneficial_owner.body['id'] # => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
$updateBeneficialOwner = $beneficialOwnersApi->update([
'firstName' => 'beneficial',
'lastName'=> 'owner',
'dateOfBirth' => '1963-11-11',
'ssn' => '123-54-6789',
'address' =>
[
'address1' => '123 Main St.',
'address2' => 'Apt 123',
'city' => 'Des Moines',
'stateProvinceRegion' => 'IA',
'postalCode' => '50309',
'country' => 'US'
],
], $beneficialOwnerUrl);
$updateBeneficialOwner->id; # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
:firstName => 'beneficial',
:lastName => 'owner',
:ssn => '123-54-6789',
:dateOfBirth => '1963-11-11',
:address => {
:address1 => '123 Main St',
:city => 'Des Moines',
:stateProvinceRegion => 'IA',
:country => 'US',
:postalCode => '50309'
}
}
update_beneficial_owner = app_token.post beneficial_owner_url, request_body
update_beneficial_owner.id # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"firstName": "John",
"lastName": "Doe",
"address": {
"address1": "462 Main Street",
"city": "Des Moines",
"country": "USA",
"stateProvinceRegion": "IA",
"address2": "Suite 123",
"address3": "Unit 123",
"postalCode": "50309"
},
"verificationStatus": "verified",
"created": "2022-07-23T00:18:21.419Z"
}{
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details.",
"_embedded": {
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details."
}
}{
"code": "forbidden",
"message": "Not authorized to update beneficial owner."
}{
"code": "notFound",
"message": "owner not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
Beneficial owner unique identifier
Body
Parameters for updating a beneficial owner
- CreateUSBeneficialOwner
- CreateInternationalBeneficialOwner
Create a US Beneficial Owner (identified by SSN). For US-based beneficial owners only. Use SSN for identity verification instead of passport.
Response
successful operation
Request body model for a Beneficial Owner
Show child attributes
Show child attributes
"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"
"John"
"Doe"
Show child attributes
Show child attributes
verified, document, incomplete "verified"
"2022-07-23T00:18:21.419Z"
Was this page helpful?
POST https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"firstName": "beneficial",
"lastName": "owner",
"ssn": "123-54-6789",
"dateOfBirth": "1963-11-11",
"address": {
"address1": "123 Main St.",
"address2": "Apt 123",
"city": "Des Moines",
"stateProvinceRegion": "IA",
"country": "US",
"postalCode": "50309"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
var requestBody = {
firstName: 'beneficial',
lastName: 'owner',
dateOfBirth: '1963-11-11',
ssn: '123-54-6789',
address: {
address1: '123 Main St',
city: 'Des Moines',
stateProvinceRegion: 'IA',
country: 'US',
postalCode: '50309'
}
};
dwolla
.post(beneficialOwnerUrl, requestBody)
.then(res => res.body.id); // => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
'firstName': 'beneficial',
'lastName': 'owner',
'dateOfBirth': '1963-11-11',
'ssn': '123-54-6789',
'address': {
'address1': '123 Main St',
'city': 'Des Moines',
'stateProvinceRegion': 'IA',
'country': 'US',
'postalCode': '50309'
}
}
update_beneficial_owner = app_token.post(beneficial_owner_url, request_body)
update_beneficial_owner.body['id'] # => '00cb67f2-768c-4ee3-ac81-73bc4faf9c2b'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$beneficialOwnersApi = new DwollaSwagger\BeneficialownersApi($apiClient);
$beneficialOwnerUrl = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8';
$updateBeneficialOwner = $beneficialOwnersApi->update([
'firstName' => 'beneficial',
'lastName'=> 'owner',
'dateOfBirth' => '1963-11-11',
'ssn' => '123-54-6789',
'address' =>
[
'address1' => '123 Main St.',
'address2' => 'Apt 123',
'city' => 'Des Moines',
'stateProvinceRegion' => 'IA',
'postalCode' => '50309',
'country' => 'US'
],
], $beneficialOwnerUrl);
$updateBeneficialOwner->id; # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
beneficial_owner_url = 'https://api-sandbox.dwolla.com/beneficial-owners/07d59716-ef22-4fe6-98e8-f3190233dfb8'
request_body = {
:firstName => 'beneficial',
:lastName => 'owner',
:ssn => '123-54-6789',
:dateOfBirth => '1963-11-11',
:address => {
:address1 => '123 Main St',
:city => 'Des Moines',
:stateProvinceRegion => 'IA',
:country => 'US',
:postalCode => '50309'
}
}
update_beneficial_owner = app_token.post beneficial_owner_url, request_body
update_beneficial_owner.id # => "00cb67f2-768c-4ee3-ac81-73bc4faf9c2b"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"firstName": "John",
"lastName": "Doe",
"address": {
"address1": "462 Main Street",
"city": "Des Moines",
"country": "USA",
"stateProvinceRegion": "IA",
"address2": "Suite 123",
"address3": "Unit 123",
"postalCode": "50309"
},
"verificationStatus": "verified",
"created": "2022-07-23T00:18:21.419Z"
}{
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details.",
"_embedded": {
"code": "ValidationError",
"message": "Validation error(s) present. See embedded errors list for more details."
}
}{
"code": "forbidden",
"message": "Not authorized to update beneficial owner."
}{
"code": "notFound",
"message": "owner not found."
}